summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2015-10-29 23:06:31 +1100
committerMichael Palimaka <kensington@gentoo.org>2015-10-29 23:12:05 +1100
commit6a17d15c8e2b78dd3f659c444cce1f35aa2a1ef2 (patch)
tree69784e9e5a9b4881f77fa97cb4af0493ac7ce45c /x11-misc/kaqaz
parentapp-crypt/mit-krb5: x86 stable wrt bug #564304 (diff)
downloadgentoo-6a17d15c8e2b78dd3f659c444cce1f35aa2a1ef2.tar.gz
gentoo-6a17d15c8e2b78dd3f659c444cce1f35aa2a1ef2.tar.bz2
gentoo-6a17d15c8e2b78dd3f659c444cce1f35aa2a1ef2.zip
x11-mics/kaqaz: revision bump
* Fix build with Qt 5.5 * Unbundle dev-qt/qtsingleapplication * Add missing dependencies Package-Manager: portage-2.2.20.1
Diffstat (limited to 'x11-misc/kaqaz')
-rw-r--r--x11-misc/kaqaz/files/kaqaz-1.2.0-qt55.patch14
-rw-r--r--x11-misc/kaqaz/files/kaqaz-1.2.0-unbundle-qtsingleapplication.patch43
-rw-r--r--x11-misc/kaqaz/kaqaz-1.2.0-r1.ebuild53
3 files changed, 110 insertions, 0 deletions
diff --git a/x11-misc/kaqaz/files/kaqaz-1.2.0-qt55.patch b/x11-misc/kaqaz/files/kaqaz-1.2.0-qt55.patch
new file mode 100644
index 00000000000..f7e13f6b5d4
--- /dev/null
+++ b/x11-misc/kaqaz/files/kaqaz-1.2.0-qt55.patch
@@ -0,0 +1,14 @@
+Fix build with Qt 5.5.
+
+Gentoo-bug: 563678
+
+--- databasedatatypes.h
++++ databasedatatypes.h
+@@ -23,6 +23,7 @@
+ #include <QColor>
+ #include <QStringList>
+ #include <QGeoCoordinate>
++#include <QObject>
+
+ class Enums : public QObject
+ {
diff --git a/x11-misc/kaqaz/files/kaqaz-1.2.0-unbundle-qtsingleapplication.patch b/x11-misc/kaqaz/files/kaqaz-1.2.0-unbundle-qtsingleapplication.patch
new file mode 100644
index 00000000000..01689167ecd
--- /dev/null
+++ b/x11-misc/kaqaz/files/kaqaz-1.2.0-unbundle-qtsingleapplication.patch
@@ -0,0 +1,43 @@
+Use system copy of qtsingleapplication.
+
+--- sialantools/sialantools.pri
++++ sialantools/sialantools.pri
+@@ -1,4 +1,5 @@
+ QT += qml quick
++CONFIG += qtsingleapplication
+
+ android {
+ manifest.source = android-build
+@@ -24,20 +25,10 @@
+
+ HEADERS += \
+ sialantools/sialanmimeapps.h \
+- sialantools/qtsingleapplication/qtsinglecoreapplication.h \
+- sialantools/qtsingleapplication/qtsingleapplication.h \
+- sialantools/qtsingleapplication/qtlockedfile.h \
+- sialantools/qtsingleapplication/qtlocalpeer.h
+
+ SOURCES += \
+ sialantools/sialanmimeapps.cpp \
+- sialantools/qtsingleapplication/qtsinglecoreapplication.cpp \
+- sialantools/qtsingleapplication/qtsingleapplication.cpp \
+- sialantools/qtsingleapplication/qtlockedfile.cpp \
+- sialantools/qtsingleapplication/qtlocalpeer.cpp
+
+- win32: SOURCES += sialantools/qtsingleapplication/qtlockedfile_win.cpp
+- unix: SOURCES += sialantools/qtsingleapplication/qtlockedfile_unix.cpp
+ }
+ }
+ }
+
+--- sialantools/sialanapplication.h
++++ sialantools/sialanapplication.h
+@@ -22,7 +22,7 @@
+ #include "sialan_macros.h"
+
+ #ifdef DESKTOP_DEVICE
+-#include "qtsingleapplication/qtsingleapplication.h"
++#include "qtsingleapplication.h"
+ class INHERIT_QAPP : public QtSingleApplication
+ {
+ public:
diff --git a/x11-misc/kaqaz/kaqaz-1.2.0-r1.ebuild b/x11-misc/kaqaz/kaqaz-1.2.0-r1.ebuild
new file mode 100644
index 00000000000..f4a21ddcad1
--- /dev/null
+++ b/x11-misc/kaqaz/kaqaz-1.2.0-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils qmake-utils
+
+DESCRIPTION="Modern note manager"
+HOMEPAGE="http://labs.sialan.org/projects/kaqaz"
+if [[ ${PV} = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/sialan-labs/kaqaz.git"
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/sialan-labs/kaqaz/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE=""
+
+RDEPEND="dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgraphicaleffects:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5[qml]
+ dev-qt/qtnetwork:5
+ dev-qt/qtpositioning:5
+ dev-qt/qtsingleapplication[qt5,X]
+ dev-qt/qtsensors:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtquick1:5
+ dev-qt/qtquickcontrols:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-qt55.patch"
+ epatch "${FILESDIR}/${P}-unbundle-qtsingleapplication.patch"
+
+ rm -r sialantools/qtsingleapplication || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake install INSTALL_ROOT="${D}"
+}